package com.ruoyi.basicData.service;


import com.ruoyi.basicData.domain.TCorps;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.basicData.domain.FleetCompanyMsg;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 【车队】Service接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface IFleetCompanyMsgService 
{
    /**
     * 查询【车队】
     * 
     * @param id 【车队】ID
     * @return 【车队】
     */
    public TCorps selectFleetCompanyMsgById(Long id);

    /**
     * 查询【车队】列表
     * 
     * @param fleetCompanyMsg 【车队】
     * @return 【车队】集合
     */
    public List<FleetCompanyMsg> selectFleetCompanyMsgList(FleetCompanyMsg fleetCompanyMsg);

    public List<Map<String, Object>> selectFleetCompanyMsgListMap(FleetCompanyMsg fleetCompanyMsg);

    /**
     * 新增【车队】
     * 
     * @param tCorps 【车队】
     * @return 结果
     */
    public AjaxResult insertFleetCompanyMsg(TCorps tCorps);

    /**
     * 修改【车队】
     * 
     * @param fleetCompanyMsg 【车队】
     * @return 结果
     */
    public int updateFleetCompanyMsg(FleetCompanyMsg fleetCompanyMsg);

    /**
     * 批量删除【车队】
     * 
     * @param ids 需要删除的【车队】ID
     * @return 结果
     */
    public AjaxResult deleteFleetCompanyMsgByIds(Long[] ids);

    /**
     * 删除【车队】信息
     * 
     * @param id 【车队】ID
     * @return 结果
     */
    public int deleteFleetCompanyMsgById(Long id);

    /**
     *  检验编号唯一
     * @return
     */
    public String checkUFNoUnique(FleetCompanyMsg fleetCompanyMsg);

    /**
     *  下拉框查询【车队】id、name列表
     * @param fleetCompanyMsg   条件
     * @return  结果
     */
    public List<FleetCompanyMsg> selectFleetCompanyMsgIdNameList(FleetCompanyMsg fleetCompanyMsg);

    /**
     *  导入Excel生成车队
     * @param file  excel
     * @return  结果
     */
    public AjaxResult importCreateCompanyMsg(MultipartFile file);
}
